MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006270ardourbugspublic2015-04-21 10:322017-01-13 15:53
Reportereduardomezencio 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target VersionFixed in Version5.X git (version in description) 
Summary0006270: Inputting midi notes after tempo change results in wrong note duration
DescriptionSteps to reproduce: create a session and let the first two measures have different tempos. Create a midi region occupying these two measures. Insert a midi note in the first measure, by clicking and dragging it to last 2 beats. It'll give you a note with a 2 beats duration alright. If you do the same to the second measure, that have a different tempo, the note will have the wrong duration. It will be longer/shorter depending if the tempo is faster or slower.

It makes no difference if snapping is on or off..
Additional InformationI have recorded a small video showing this bug. I can upload it if someone find it useful.
Tags4.0, 4.2, 4.4, Midi, tempo, tempo change
Attached Files

Sponsor - Users sponsoring this issue
Sponsors List Total Sponsorship = US$ 5

2015-08-14 17:19: eduardomezencio (US$ 5)

- Relationships

-  Notes
(0017513)
eduardomezencio (reporter)
2015-10-25 18:43

I also discovered another thing that may be just an 'extension' of this bug. If you place a midi region in a range that contains two different tempos and then split the region in two, when you place notes in the second region the notes are going to be placed in the wrong position: it will be placed ahead if the second tempo is faster than the first and behind if the second tempo is slower than the first one.
(0018179)
caryoscelus (reporter)
2016-05-06 11:44

I just stumbled into this :( I discovered that you can work around this issue either by creating note with simple click (instead of drag - it will have length of one snap unit) or by resizing it later - editing seems to work fine.
(0018186)
paul (administrator)
2016-05-10 15:54

There are huge changes coming to tempo/meter (primarily to allow "ramping"). Unlikely we'll look into any reports like this until that work has been incorporated into the main development branch. Just FYI.
(0018187)
caryoscelus (reporter)
2016-05-11 08:40

Thanks for the info. Ramping surely sounds cool. Does this development happen in tempo_ramps branch? Is there any ETA?
(0018998)
timbyr (developer)
2016-11-19 17:05

I just tested with version 5.4.399 on linux and cannot reproduce this issue.

Can you please confirm that this issue is now fixed. Thanks.
(0019277)
eduardomezencio (reporter)
2017-01-12 19:04

Well, my computer is broken and I can't test it for now.. I'll test as soon as I can, but I'm dropping a donation right now anyways
(0019278)
timbyr (developer)
2017-01-13 15:50

I've just retested this with version 5.5.480 and it still seems to work correctly, so I'm going to mark this issue as resolved.

Thanks for the donation.
(0019279)
timbyr (developer)
2017-01-13 15:53

Fixed at some point in the early 5.X releases

- Issue History
Date Modified Username Field Change
2015-04-21 10:32 eduardomezencio New Issue
2015-08-14 17:19 eduardomezencio Sponsorship Added eduardomezencio: US$ 5
2015-08-14 17:19 eduardomezencio Sponsorship Total 0 => 5
2015-10-25 18:43 eduardomezencio Note Added: 0017513
2015-10-25 18:48 eduardomezencio Tag Attached: 4.0
2015-10-25 18:48 eduardomezencio Tag Attached: 4.2
2015-10-25 18:48 eduardomezencio Tag Attached: Midi
2015-10-25 18:48 eduardomezencio Tag Attached: tempo
2015-10-25 18:48 eduardomezencio Tag Attached: tempo change
2015-10-25 18:48 eduardomezencio Tag Attached: 4.4
2016-05-06 11:44 caryoscelus Note Added: 0018179
2016-05-10 15:54 paul Note Added: 0018186
2016-05-11 08:40 caryoscelus Note Added: 0018187
2016-11-19 17:05 timbyr Note Added: 0018998
2016-11-19 17:05 timbyr Status new => feedback
2017-01-12 19:04 eduardomezencio Note Added: 0019277
2017-01-12 19:04 eduardomezencio Status feedback => new
2017-01-13 15:50 timbyr Note Added: 0019278
2017-01-13 15:53 timbyr Note Added: 0019279
2017-01-13 15:53 timbyr Status new => resolved
2017-01-13 15:53 timbyr Fixed in Version => 5.X git (version in description)
2017-01-13 15:53 timbyr Resolution open => fixed
2017-01-13 15:53 timbyr Assigned To => timbyr


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker